## com.google.javascript.jscomp
Class LoggerErrorManager

    java.lang.Object
      com.google.javascript.jscomp.BasicErrorManager
          com.google.javascript.jscomp.LoggerErrorManager

All Implemented Interfaces:
  ErrorHandler, ErrorManager

    public class LoggerErrorManager

extends BasicErrorManager

An error manager that logs errors and warnings using a logger in addition to collecting them in memory. Errors are logged at the SEVERE level and warnings are logged at the WARNING level.

Constructor Summary
`LoggerErrorManager(Logger logger)` Creates an instance with a source-less error formatter.
`LoggerErrorManager(MessageFormatter formatter, Logger logger)` Creates an instance.

Method Summary
`void` | `println(CheckLevel level, JSError error)` Print a message with a trailing new line.
`protected void` | `printSummary()` Print the summary of the compilation - number of errors and warnings.

Methods inherited from class com.google.javascript.jscomp.BasicErrorManager
`generateReport, getErrorCount, getErrors, getTypedPercent, getWarningCount, getWarnings, report, setTypedPercent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggerErrorManager

    public LoggerErrorManager(MessageFormatter formatter,
                              Logger logger)

  Creates an instance.

### LoggerErrorManager

    public LoggerErrorManager(Logger logger)

  Creates an instance with a source-less error formatter.

Method Detail

### println

    public void println(CheckLevel level,
                        JSError error)

  Description copied from class: `BasicErrorManager`
  Print a message with a trailing new line. This method is called by the `BasicErrorManager.generateReport()` method when generating messages.

  Specified by:
    `println` in class `BasicErrorManager`

### printSummary

    protected void printSummary()

  Description copied from class: `BasicErrorManager`
  Print the summary of the compilation - number of errors and warnings.

  Specified by:
    `printSummary` in class `BasicErrorManager`